Public Member Functions | Private Attributes

# OrthogonalTileIterator Class Reference

Iterator to iterate over a tile area (rectangle) of the map. More...

`#include <tilearea_type.h>`

Inheritance diagram for OrthogonalTileIterator:

## Public Member Functions
| OrthogonalTileIterator (const TileArea &ta)
| Construct the iterator.
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectange on the map.
virtual TileIterator * | Clone () const
| Allocate a new iterator that is a copy of this one.
## Private Attributes
int | w
| The width of the iterated area.
int | x
| The current 'x' position in the rectangle.
int | y
| The current 'y' position in the rectangle.

## Detailed Description

Iterator to iterate over a tile area (rectangle) of the map.

Definition at line 105 of file tilearea_type.h.

## Constructor & Destructor Documentation

OrthogonalTileIterator::OrthogonalTileIterator | ( | const TileArea & | ta | ) | `[inline]`

Construct the iterator.

Parameters:

  | ta | Area, i.e. begin point and width/height of to-be-iterated area.

Definition at line 116 of file tilearea_type.h.

Referenced by Clone().

The documentation for this class was generated from the following file:

- src/tilearea_type.h